Subject: FVWM: problem with compiling FvwmScript (2.4.5) on dec-osf5

From: John H Palmieri <[email-masked]>
Date: Mon, 04 Mar 2002 14:30:18 -0800

Hi,

I'm new to the mailing list, but I tried searching through the
archives for an answer, and didn't find anything.  I also couldn't
find it in the bug tracker.  Apologies if this has been asked and
answered before.

When I try to compile fvwm-2.4.5, I run into a problem with
FvwmScript: 

gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../..     -DFVWM_DATADIR=\"/scratch/window-managers/share/fvwm\" -I/scratch/palmieri/include -L/scratch/palmieri/lib -c Instructions.c
Instructions.c:1451: conflicting types for `WarpPointer'
/usr/local/lib/gcc-lib/alphaev5-dec-osf5.1/3.0.3/include/X11/Xlib.h:4141: previous declaration of `WarpPointer'
gmake[1]: *** [Instructions.o] Error 1
gmake[1]: Leaving directory `/scratch/palmieri/junk/fvwm-2.4.5/modules/FvwmScript'
gmake: *** [all-recursive] Error 1

I can avoid this by changing WarpPointer to some new name, like
"fWarpPointer".  That is, I apply this patch:

*** modules/FvwmScript/Instructions.c.orig	Thu Dec 27 11:45:28 2001
--- modules/FvwmScript/Instructions.c.new	Mon Mar  4 13:06:39 2002
***************
*** 1447,1453 ****
  }
  
  /******* WarpPointer *******/
! static void WarpPointer(int NbArg,long *TabArg)
  {
    int i=0;
    char *arg;
--- 1447,1453 ----
  }
  
  /******* WarpPointer *******/
! static void fWarpPointer(int NbArg,long *TabArg)
  {
    int i=0;
    char *arg;
***************
*** 1831,1837 ****
    TabCom[14]=IfThen;
    TabCom[15]=Loop;
    TabCom[16]=While;
!   TabCom[17]=WarpPointer;
    TabCom[18]=WriteToFile;
    TabCom[19]=ChangeBackColor;
    TabCom[21]=ChangeValueMax;
--- 1831,1837 ----
    TabCom[14]=IfThen;
    TabCom[15]=Loop;
    TabCom[16]=While;
!   TabCom[17]=fWarpPointer;
    TabCom[18]=WriteToFile;
    TabCom[19]=ChangeBackColor;
    TabCom[21]=ChangeValueMax;

Is that a reasonable solution, or is it going to
cause troubles somewhere else?

-- 
J. H. Palmieri                      
Dept of Mathematics, Box 354350    mailto:[email-masked]
University of Washington           http://www.math.washington.edu/~palmieri/
Seattle, WA 98195-4350